Intersects two coplanar circles.
Rhino.CircleCircleIntersection (arrPlane0, dblRadius0, arrPlane1, dblRadius1)
arrPlane0 |
Required. Array. The plane of the first circle. The origin of the plane is the center point of the circle. |
dblRadius0 |
Required. Number. The radius of the first circle. |
arrPlane1 |
Required. Array. The plane of the second circle. The origin of the plane is the center point of the circle. |
dblRadius1 |
Required. Number. The radius of the second circle. |
Array |
An array containing the 3-D intersection points if successful. |
Null |
If not successful, or on error. |
Dim arrPlane0, arrPlane1, dblRadius, arrResults
arrPlane0 = Rhino.PlaneFromNormal(Array(5,0,0), Array(0,1,1))
arrPlane1 = Rhino.PlaneFromNormal(Array(10,0,0), Array(0,1,1))
dblRadius = 5
Rhino.AddCircle arrPlane0, dblRadius
Rhino.AddCircle arrPlane1, dblRadius
arrResults = Rhino.CircleCircleIntersection(arrPlane0, dblRadius, arrPlane1, dblRadius)
If IsArray(arrResults) Then Rhino.AddPoints arrResults